@if(valid){
<div class="relative pt-28 pb-14 md:pt-40 md:pb-24 lg:pt-44 xl:pt-56 xl:pb-32">
  <div>
    <h2 class="text-center text-[#C29667] text-2xl min[425px]:text-xl relative md:text-3xl xl:text-4xl">
      Réinitialisation du mot de passe
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-1 border-[#C29667]">
  </div>

  <form [formGroup]="updateForm" (ngSubmit)="onUpdateSubmit()">
    <div class="w-full px-5 mt-10 md:w-fit md:mx-auto">
      <div class="relative mb-4 text-left">
        <label for="password" class="leading-7 text-gray-600">
          Nouveau mot de passe *
        </label>
        <input type="password" id="password" name="password"
          class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredPassword || isPasswordValid ? 'border-rose-600' : '' }}"
          formControlName="password" />
        @if(isRequiredPassword){
        <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe ne peut pas être vide</span>
        }
        @if(isPasswordValid){
        <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe n'est pas valide, il doit au
          minimum contenir 8 caractère, 1 caractère spécial, 1 majuscule et un chiffre...</span>
        }
      </div>
      <div class="relative mb-4 text-left">
        <label for="password" class="leading-7 text-gray-600">
          Confirmation mot de passe *
        </label>
        <input type="password" id="confirm-password" name="confirm-password"
          class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isNotSame || isRequiredConfirm ? 'border-rose-600' : '' }}"
          formControlName="confirmPassword" />
        @if(isNotSame){
        <span class="text-rose-600 dark:text-rose-500 text-sm">Le mot de passe rentré ici n'est pas le même que
          celui précisé en haut</span>
        }
        @if(isRequiredConfirm){
        <span class="text-rose-600 dark:text-rose-500 text-sm">Vous devez confirmer votre mot de passe !</span>
        }
      </div>
      <button
        class="text-white bg-[#C29667] border-0 py-2 mt-5 px-8 focus:outline-none hover:bg-[#734124] transition duration-500 rounded-full text-lg xl:text-xl w-full"
        type="submit">
        Changer le mot de passe
      </button>
    </div>
  </form>
</div>
} @else {
<div class="pt-28 md:pt-36 lg:pt-44 xl:pt-52 flex justify-center">
  <div class="text-center mb-10">
    <i class="fa-solid fa-circle-exclamation text-8xl xl:text-9xl text-red-800"></i>
    <p class="mt-3 font-medium text-2xl xl:text-3xl">Oups, il y a un problème</p>
    <div class="rounded bg-red-100 px-4 py-3 mx-3 mt-3 xl:mt-7 mb-10">
      <div class="flex gap-3 items-center">
        <i class="fa-solid fa-circle-exclamation text-red-800 mt-1 xl:text-xl"></i>
        <p class="font-medium text-red-900 xl:text-lg">Une erreur est survenue</p>
      </div>
      <p class="text-red-800 text-sm mt-2 text-left">La page n'est plus valide ou est expirée, veuillez recommencer le
        processus</p>
    </div>
    <app-button class="xl:text-xl" [buttonText]="'Retournez sur la page principale'"
      (buttonClick)="navigateToHomepage()"></app-button>
  </div>
</div>
}


<app-spinner [loading]="isLoading"></app-spinner>